fsapfsinfo

NAME
fsapfsinfo - determines information about an Apple File System (APFS)

SYNOPSIS
fsapfsinfo [-B bodyfile] [-E identifier] [-f file_system_index] [-F path] [-o offset] [-p password] [-r password] [-dhHvV] source

DESCRIPTION
fsapfsinfo is a utility to determine information about an Apple File System (APFS)

fsapfsinfo is part of the libfsapfs package. libfsapfs is a library to access the Apple File System (APFS) format

source is the source file.

The options are as follows:

-B bodyfile
    output file system information as a bodyfile

-d  calculate a MD5 hash of a file entry to include in the bodyfile

-E identifier
    show information about a specific file system entry or "all"

-f file_system_index
    show information about a specific file system or "all"

-F path
    show information about a specific file entry path

-h  shows this help

-H  shows the file system hierarchy

-o offset
    specify the volume offset

-p password
    specify the password

-r password
    specify the recovery password

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fsapfsinfo -o 20480 image.dmg
    fsapfsinfo 20220728

    Apple File System (APFS) information:

    Container information:
            Identifier                      : d08a9fa0-d5a5-458b-813e-ebf9bf5d5338
            Number of volumes               : 1

    Volume: 1 information:
            Identifier                      : 458ed10d-8ac3-4af1-8dfd-3954d151a3f3
            Name                            : apfs_test
            Compatible features             : 0x00000002
                    (NX_FEATURE_LCFD)

            Incompatible features           : 0x00000001
                    (NX_INCOMPAT_VERSION1)

            Read-only compatible features   : 0x00000000

            Number of snapshots             : 0

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libfsapfs/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright 2018-2022, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
fsapfsmount(1)